petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectInheritPrintedOptions

If the child object is not on the rank 0 process of the parent object and the child is sequential then the child gets it set.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectInheritPrintedOptions(PetscObject pobj,PetscObject obj)

### Input Parameters

| pobj | - the parent object Many br
| obj | - the PetscObject Many br

Many br

Developer Notes: This is used, for example to prevent sequential objects that are created from a parallel object; such as the KSP created by Many brPCBJACOBI from all printing the same help messages to the screen Many br

This will not handle more complicated situations like with GASM where children may live on any subset of the parent's processes and overlap Many br

### See Also

PetscOptionsInsert(), PetscObjectSetPrintedOptions()

Level:developer
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages